/* This code is restricted under LGPL license */
namespace infoMECHANICA.NHibernateORM.CriteriaBuilder
{
    /// <summary>
    /// Keeps information about property name
    /// </summary>
    public class PropertyNameHolder
    {
        private string propertyName;

        /// <summary>
        /// Property name covered by this CriterionProperty
        /// </summary>
        public string PropertyName
        {
            get { return propertyName; }
            set { propertyName = value; }
        }

        /// <summary>
        /// Constructor, sets PropertyName
        /// </summary>
        /// <param name="propertyName">PropertyName to set</param>
        public PropertyNameHolder(string propertyName)
        {
            this.PropertyName = propertyName;
        }
    }
}
