﻿/* This code is restricted under LGPL license */
namespace infoMECHANICA.NHibernateORM.CriteriaBuilder
{
    /// <summary>
    /// Criterion join (And/Or/None)
    /// </summary>
    /// <typeparam name="T">Base property type</typeparam>
    public interface ICriterionJoin<T>
    {
        /// <summary>
        /// (...) AND (...)
        /// </summary>
        ICriterionPropertyInternal<T> And { get; }

        /// <summary>
        /// (...) OR (...)
        /// </summary>
        ICriterionPropertyInternal<T> Or { get; }
    }
}
