/* This code is restricted under LGPL license */
using NHibernate.Criterion;

namespace infoMECHANICA.NHibernateORM.CriteriaBuilder
{
    /// <summary>
    /// Class implementing this interface is able to create NHibernate criterion
    /// </summary>
    public interface ICriterionSource
    {
        /// <summary>
        /// Gets NHibernate criterion
        /// </summary>
        /// <returns>NHibernate criterion</returns>
        ICriterion GetCriterion();
    }
}
