/* This code is restricted under LGPL license */

namespace infoMECHANICA.NHibernateORM.CriteriaBuilder
{
    /// <summary>
    /// Interfece of classess which can be merged with another criteria properties
    /// </summary>
    public interface IMergeablePropertySource
    {
        /// <summary>
        /// Merges property value with another criterion property
        /// </summary>
        /// <param name="mergeSource">Source-merging property</param>
        void Merge(object mergeSource);
    }
}
